package com.maintain.business.service;

import com.maintain.business.domain.ErpMaterialCheck;
import com.maintain.business.domain.vo.ErpMaterialCheckVo;
import com.maintain.business.domain.bo.ErpMaterialCheckBo;
import com.maintain.common.core.page.TableDataInfo;
import com.maintain.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 物资盘点Service接口
 *
 * @author liushuai
 * @date 2025-04-03
 */
public interface IErpMaterialCheckService {

    /**
     * 查询物资盘点
     */
    ErpMaterialCheckVo queryById(Long id);

    /**
     * 查询物资盘点列表
     */
    TableDataInfo<ErpMaterialCheckVo> queryPageList(ErpMaterialCheckBo bo, PageQuery pageQuery);

    /**
     * 查询物资盘点列表
     */
    List<ErpMaterialCheckVo> queryList(ErpMaterialCheckBo bo);

    /**
     * 新增物资盘点
     */
    Boolean insertByBo(ErpMaterialCheckBo bo);

    /**
     * 修改物资盘点
     */
    Boolean updateByBo(ErpMaterialCheckBo bo);

    /**
     * 物资盘点
     * @param bo
     * @return
     */
    Boolean check(ErpMaterialCheckBo bo);

    /**
     * 校验并批量删除物资盘点信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
